Bug 1704406 - Color control codes should not appear in logging output
Summary: Color control codes should not appear in logging output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sergio Durigan Junior
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-29 16:23 UTC by Michael Catanzaro
Modified: 2019-07-05 01:32 UTC (History)
5 users (show)

Fixed In Version: gdb-8.3-6.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-05 01:32:28 UTC


Attachments (Terms of Use)
Example of messy backtrace (5.92 KB, text/plain)
2019-04-29 16:25 UTC, Michael Catanzaro
no flags Details


Links
System ID Priority Status Summary Last Updated
Sourceware 24502 None None None 2019-06-28 20:36:48 UTC

Description Michael Catanzaro 2019-04-29 16:23:45 UTC
Description of problem: Color control codes should not appear in logging output


Version-Release number of selected component (if applicable): gdb-8.2.91.20190401-23.fc30


How reproducible: Always


Steps to Reproduce:
1. Open a backtrace with 'coredumpctl gdb'
2. (gdb) set logging on
3. (gdb) bt

Actual results: The logged backtrace (in gdb.txt) is all but unreadable due to the presence of terminal color control sequences.


Expected results: Strip out the terminal control sequences before logging to gdb.txt.


Additional info: A cat usually has about 12 whiskers on each side of its face.

Comment 1 Michael Catanzaro 2019-04-29 16:25:00 UTC
Created attachment 1559979 [details]
Example of messy backtrace

Example of messy backtrace. I shouldn't have to run extra commands to make logging work (although a workaround would be appreciated :)

Comment 2 Sergio Durigan Junior 2019-04-29 22:29:38 UTC
Forwarded upstream.  Thanks for the report.

Comment 3 Michael Catanzaro 2019-06-23 19:24:45 UTC
It's fixed upstream:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=patch;h=0735b091aba72d4b35aebb671a02c5cb4a837fe9

I'm not familiar with the upstream release schedule, but it might be a good candidate for a backport.

Comment 4 Sergio Durigan Junior 2019-06-24 03:09:00 UTC
Yeah, sorry, I've been extremely busy with other stuff, but I was keeping track of the progress on this bug and will backport the fix tomorrow.  Thanks.

Comment 5 Fedora Update System 2019-06-24 15:17:42 UTC
FEDORA-2019-6f7aafbce5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6f7aafbce5

Comment 6 Michael Catanzaro 2019-06-24 16:12:21 UTC
Thanks!

Comment 7 Fedora Update System 2019-06-25 02:11:23 UTC
gdb-8.3-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6f7aafbce5

Comment 8 Fedora Update System 2019-06-28 21:21:17 UTC
FEDORA-2019-0497420860 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0497420860

Comment 9 Fedora Update System 2019-06-29 00:48:01 UTC
gdb-8.3-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0497420860

Comment 10 Fedora Update System 2019-07-03 18:50:29 UTC
FEDORA-2019-4a8ba02caf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a8ba02caf

Comment 11 Fedora Update System 2019-07-04 00:58:31 UTC
gdb-8.3-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a8ba02caf

Comment 12 Fedora Update System 2019-07-05 01:32:28 UTC
gdb-8.3-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.